#navbar_container
{
    display: block;
    position: fixed;

    box-sizing: border-box;
    top: var(--navbar_top_margin);
    width: 100%;
    height: var(--navbar_height);

    color: var(--navbar_text_color);
    font-size: 1.2rem;
    background-color: var(--navbar_background_color);
    border-bottom: var(--navbar_border_size) solid var(--navbar_border_color);

    z-index: 1000;
}

#navbar
{
    display: flex;

    justify-content: space-between;

    box-sizing: border-box;
    width: var(--navbar_width);
    height: var(--navbar_height_without_border);

    margin: auto;
}

@media (min-width: 1300px) 
{
    #navbar_container
    {
        position: static;
        top: 0px;
    }
}

/***********
************
*** LOGO ***
************
***********/

#navbar_logo_container
{
    
}

#navbar_logo_container>a
{
    display: block;

    width: 100%;

    padding: var(--navbar_logo_padding);
}

#navbar_logo_container>a>img
{
    display: inline-block;

    box-sizing: content-box;

    height: var(--navbar_logo_height);

    vertical-align: middle;
}

@media (min-width: 1300px) 
{
    #navbar_logo_container>a
    {
        padding-top: var(--navbar_logo_padding);
        padding-bottom: var(--navbar_logo_padding);
        padding-left: 0;
        padding-right: 0;
    }
}

/****************
*****************
*** LINK LIST ***
*****************
****************/

#navbar_list_container
{
    position: fixed;
    top: var(--navbar_linklist_top_margin);
    width: 100%;
    height: var(--navbar_linklist_height);

    color: var(--accent_color_secondary);
    background-color: rgba(255, 255, 255, 0.75);
    -webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
}

#navbar_list
{
    box-sizing: border-box;
    height: var(--navbar_linklist_height);
    overflow-y: scroll;
}

#navbar_list>li
{

}

#navbar_list>li>a
{
    display: block;

    text-align: center;
    padding-top: 2rem;
    padding-bottom: 2rem;

    font-weight: bold;
    letter-spacing: 1px;

    border-bottom: var(--navbar_linklist_border_size) solid var(--navbar_linklist_border_color);
}

#navbar_list>li>a:hover
{
    cursor: pointer;

    color: var(--color_white);
    background-color: var(--accent_color_secondary);
}

#navbar_list>li>a[data-toggler]::after
{
    content: "";
    display: inline-block;
    margin-left: 0.5rem;
    vertical-align: middle;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 6px solid var(--navbar_linklist_border_color);
}

#navbar_list>li>a:hover[data-toggler]::after
{
    border-top: 6px solid var(--color_white);
}

#navbar_list>li>a[data-toggler][data-is_toggled]::after
{
    transform: rotate(180deg);
}

.navbar_sublist>li>a
{
    display: block;

    font-size: 0.9rem;
    text-align: center;
    font-weight: bold;

    padding-top: 2rem;
    padding-bottom: 2rem;

    color: var(--accent_color_secondary);

    background-color: rgba(255, 255, 255, 0.5);

    border-bottom: var(--navbar_linklist_sublist_border_size) solid var(--navbar_linklist_sublist_border_color);
}

.navbar_sublist>li>a:hover
{
    cursor: pointer;

    color: var(--color_white);
    background-color: var(--accent_color_secondary);
}

@media (min-width: 1300px) 
{
    #navbar_list_container
    {
        display: flex;

        position: static;
        flex-direction: column;
        justify-content: center;

        box-sizing: border-box;
        width: unset;
        height: unset;

        color: inherit;
        background-color: inherit;
    }

    #navbar_list
    {
        display: grid;

        box-sizing: border-box;

        grid-template-columns: repeat(4, auto);
        row-gap: 1rem;
        column-gap: 5rem;
        justify-content: end;

        overflow-y: unset;
    }

    #navbar_list>li
    {
        box-sizing: border-box;

        text-align: right;
        align-self: center;

        font-weight: normal;
        padding-left: 0rem;
        padding-right: 0rem;
        padding-top: 0rem;
        padding-bottom: 0rem;

        border-bottom: unset;
    }

    #navbar_list>li:nth-of-type(n+5)
    {
        font-size: 0.8rem;
    }

    #navbar_list>li>a
    {
        display: block;

        box-sizing: border-box;

        height: 100%;

        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;

        text-align: unset;
        border-bottom: unset;
    }

    #navbar_list>li>a:hover
    {
        color: unset;
        background-color: unset;
    }

    #navbar_list>li>a:hover[data-toggler]::after
    {
        border-top: 6px solid var(--navbar_linklist_border_color);
    }

    #navbar_list>li>ul
    {
        display: none;
    }

    #navbar_list>li:hover>ul
    {
        display: block;
    }

    .navbar_list_with_sublist
    {
        position: relative;
    }

    .navbar_sublist
    {
        position: absolute;

        top: 100%;

        box-shadow: 0px 8px 10px 5px rgba(0, 0, 0, 0.25);
        border-radius: 8px;
    }

    .navbar_sublist>li>a
    {
        width: 10rem;

        text-align: left;

        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 1rem;
        padding-bottom: 1rem;

        background-color: var(--color_white);

        border-bottom: none;
        border-radius: 0px;
    }

    .navbar_sublist>li:first-child>a { border-top-left-radius: 8px; border-top-right-radius: 8px; }
    .navbar_sublist>li:last-child>a { border-bottom-left-radius: 8px; border-bottom-right-radius: 8px; }
}

/****************
*****************
*** HAMBURGER ***
*****************
****************/

#navbar_hamburger
{
    display: block;
    margin-left: auto;
    margin-right: none;

    box-sizing: border-box;
    width: var(--navbar_height_without_border);
    height: var(--navbar_height_without_border);
    line-height: var(--navbar_height_without_border);

    border: none;

    color: var(--navbar_text_color);
    background-color: var(--navbar_background_color);
    font-size: 2rem;
   
}

#navbar_hamburger > svg
{
    width: 100%;
    height: 100%;
}

#navbar_hamburger:hover
{
    cursor: pointer;

    background-color:  var(--navbar_text_color);
    color: var(--navbar_background_color);

    border-top: var(--navbar_border_size) solid var(--navbar_text_color);
    border-left: var(--navbar_border_size) solid var(--navbar_text_color);
}

#navbar_hamburger:active
{
    padding-top: 0.2rem;
    padding-left: 0.2rem;
}

@media (min-width: 1300px) 
{
    #navbar_hamburger
    {
        display: none;
    }
}